<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>
        <variable name="commentModel" type="com.example.dummyapidagger.models.CommentsModel" />
    </data>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:padding="5dp"
        android:background="#F1F1F1">

        <com.google.android.material.card.MaterialCardView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:theme="@style/Theme.MaterialComponents.Light"
            android:focusable="true"
            android:clickable="true"
            android:foreground="?attr/selectableItemBackground">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:padding="10dp">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    tools:ignore="UselessParent">

                    <de.hdodenhof.circleimageview.CircleImageView
                        android:id="@+id/circleImageViewProfile"
                        android:layout_width="50dp"
                        android:layout_height="50dp"
                        android:src="@drawable/jennie"
                        app:civ_border_width="2dp"
                        app:civ_border_color="@color/app_theme_light"
                        android:layout_centerVertical="true"
                        app:imagePath="@{commentModel.pictureLink}"/>

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_toEndOf="@id/circleImageViewProfile"
                        android:padding="10dp">

                        <TextView
                            android:id="@+id/textViewFullName"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:textStyle="bold"
                            android:textSize="18sp"
                            android:textColor="#000"
                            android:textAlignment="textStart"
                            app:fullNameComments="@{commentModel}"/>

                        <TextView
                            android:id="@+id/textViewPublishDate"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:textStyle="normal"
                            android:textSize="15sp"
                            android:textColor="#3B3B3B"
                            android:textAlignment="textStart"
                            android:layout_below="@id/textViewFullName"
                            app:formatPublishedDate="@{commentModel.publishDate}"/>

                    </RelativeLayout>

                </RelativeLayout>

                <view
                    android:id="@+id/viewLine"
                    class="android.widget.ActionMenuView"
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:background="#9C9C9C"
                    android:layout_marginTop="5dp"/>

                <TextView
                    android:id="@+id/textViewComment"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="@{commentModel.comment}"
                    android:textStyle="normal"
                    android:textSize="16sp"
                    android:textColor="#000"
                    android:textAlignment="textStart"
                    android:layout_marginTop="10dp"/>

            </LinearLayout>

        </com.google.android.material.card.MaterialCardView>

    </RelativeLayout>

</layout>